<?php
// +---------------------------------------------+
// |     Copyright  2006 - 2008 weenCompany      |
// |     http://www.weentech.com                 |
// |     This file may not be redistributed.     |
// +---------------------------------------------+

define('IN_ADMIN', true);
define('IN_WEENCOMPANY', true);

$rootpath = "./../";

include($rootpath . 'includes/core.php');

PrintHeader('系统升级');

// get the value of $action
$action = isset($_POST['action']) ? $_POST['action'] : (isset($_GET['action']) ? $_GET['action'] : 'displayupgrades');

if($action == 'upgraderunning')
{

  PrintSection('升级提示');
  echo '<table width="100%" border="0" cellpadding="5" cellspacing="0">
        <tr>
            <td class="tdrow1" colspan="2">系统升级中...</td>
          </tr>
          <tr>
            <td class="tdrow2" width="70%" valign="top">
              1. 请严格按升级说明进行系统升级, 升级说明一般随附在下载的升级包中;<br>
			  2. 在后台首页查看系统版本及编码格式, 严格选择对应的升级程序;<br>
			  3. 升级过程一般是先将升级包解压后上传到网站替换原文件, 然后到后台运行升级程序(主要是更新数据库中的信息);<br>
			  4. 中英文双语版需要分别进入中英文后台运行升级程序;<br>
			  5. 升级完成后最好删除upgrade目录内的所有文件.<br><br>
              </td>
          </tr>
          <tr>
			<td class="tdrow2" width="70%" valign="top" align="center">
			<br>';
			
			include($rootpath . 'upgrade/upgrade.php');
			
	echo '<br><br>
			</td>
			</tr>		  
			</table>';
		  
  EndSection();

}



function DisplayNewUpgrades()
{
  global $DB, $rootpath;
  $availableupgrades = 0;

	if(file_exists($rootpath . 'upgrade/upgrade.php') and file_exists($rootpath . 'upgrade/version.php'))
	{
		include($rootpath . 'upgrade/version.php');
		
		$getversion = $DB->query_first("SELECT value FROM " . TABLE_PREFIX . "mainsettings WHERE  varname = 'sdversion'");
		$version    = $getversion['value']; 
		$disableupgrade    = 'Disabled'; 
		
		
        $new = str_replace ('.', '', $cwsversion);
        $old = str_replace ('.', '', $version);

		if(strtolower($lang_charset)<>'gb2312'){
			$messages = '<font class=ohred>weenCompany系统程序与升级程序编码不匹配, 无法升级!</font>';
		}elseif(intval ($new) <= intval ($old)){
			$messages = '<font class=ohred>您现在正在使用的版本高于或等于升级程序中的版本, 无需升级!</font>';
		}else{
		    $disableupgrade    = 'Enabled'; 
		}
		 
		$availableupgrades++;
	
		echo '<tr>
				<td class="tdrow1" colspan="2">已检测到升级程序，请按提示进行升级!</td>
			  </tr>
			  <tr>
				<td class="tdrow2" width="70%" valign="top">
				  1. 请严格按升级说明进行系统升级, 升级说明一般随附在下载的升级包中;<br>
				  2. 在后台首页查看系统版本及编码格式, 严格选择对应的升级程序;<br>
				  3. 升级过程一般是先将升级包解压后上传到网站替换原文件, 然后到后台运行升级程序(主要是更新数据库中的信息);<br>
				  4. 中英文双语版需要分别进入中英文后台运行升级程序;<br>
			      5. 升级完成后最好删除upgrade目录内的所有文件.<br><br>
				  </td>
			  </tr>
			  <tr>
				<td class="tdrow2" width="70%" valign="top" align="center">
				<form method="post" action="sysupgrade.php?action=upgraderunning">
				当前使用中的版本是: ' . $version . ' (GB2312)<br>
				正要升级到的版本是: <font class=oh_red>' . $cwsversion . '</font> ('. $lang_charset .')<br>
				<br><br>
				' . $messages . '
				<br><br><br>
				   <input type="submit" name="installtemplate" value="运行升级程序" '. $disableupgrade .'><br><br>
				</form>
				</td>
			  </tr>';
	}
	

  return $availableupgrades;
}


// ############################### DISPLAY UPGRADES ###############################

if($action == 'displayupgrades')
{
  PrintSection('升级提示');
  echo '<table width="100%" border="0" cellpadding="5" cellspacing="0">';

  if(!DisplayNewUpgrades())
  {
    echo '<tr>
            <td class="tdrow1" colspan="2">暂无可用的升级程序，请先将升级文件上传到网站根目录下的"upgrade/"目录中!</td>
          </tr>
          <tr>
            <td class="tdrow2" width="70%" valign="top">
              1. 请严格按升级说明进行系统升级, 升级说明一般随附在下载的升级包中;<br>
			  2. 在后台首页查看系统版本及编码格式, 严格选择对应的升级程序;<br>
			  3. 升级过程一般是先将升级包解压后上传到网站替换原文件, 然后到后台运行升级程序(主要是更新数据库中的信息);<br>
			  4. 中英文双语版需要分别进入中英文后台运行升级程序;<br>
			  5. 升级完成后最好删除upgrade目录内的所有文件.<br><br>
              </td>
          </tr>';
  }

  echo '</table>';
  EndSection();

}



// ############################### PRINT FOOTER ################################

PrintFooter();

?>